# Beispiele aus der Community

Auf dieser Seite finden Sie einige Beispiele aus unserer Community zusammengestellt.

Diese Beispiele verweisen auf Projekte auf unserer GitLab Instanz und eignen sich so sehr gut zur Illustration einiger häufigen Einsatzszenarien.

## Lizenzierung eines Projektes

Die Open Source Lizenzierung eines Projekts ist wichtig, um anderen Nutzer:innen den Einsatz und die Anpassung des Projekts rechtssicher zu ermöglichen. Eine Open Source Lizenzierung ist eine grundsätzliche Vorraussetzung für öffentliche Projekte auf openCode.

- Auf dieser Seite finden Sie eine Auswahl einer durch openCode freigegebenen Open Source Lizenz: [openCode kompatible Software-Lizenzen](https://opencode.de/wissen/rechtssichere-nutzung/open-source-lizenzen#2.-Open-Source-Lizenzliste).

### Beispiele verschiedener Lizenzen

- Lizenzierung nach EUPL-1.2 mit LICENSE Datei und README Vermerk: [Projekt _KoliBri_ Lizenz](https://gitlab.opencode.de/OC000005112572/kolibri/-/blob/main/LICENSE), [Projekt _KoliBri_ README](https://gitlab.opencode.de/OC000005112572/kolibri/-/blob/main/README.md#lizenz)
- Lizenzierung nach EUPL-1.2 mit LICENSE Datei und README Vermerk:
[Projekt _EGVP-Address Book_ Lizenz](https://gitlab.opencode.de/ovgrlp/Egvp-AddressBook/-/blob/primary/LICENSE), [Projekt _EGVP-AddressBook_ README](https://gitlab.opencode.de/ovgrlp/Egvp-AddressBook/-/blob/primary/README.md#lizenz)
- Lizenzierung nach AGPL-3.0-or-later mit LICENSE Datei: [Projekt _LibretranslateGUI_ Lizenz](https://gitlab.opencode.de/regional.digital/LibretranslateGUI/-/blob/main/LICENSE)
- Lizenzierung nach Apache-2.0 mit LICENSE Datei: [Projekt _Konformitaetstest_ Lizenz](https://gitlab.opencode.de/ig-bvc/konformitaetstest/-/blob/main/LICENSE)

## Software Bill of Materials (SBOM)

Das zur Verfügung stellen von _Software Bill of Materials_ (SBOM) ist eine Anforderung der Nutzungsbedingungen, wenn Kompilate, Binaries oder ähnliches, wie Containter Images auf openCode verbreitet werden.

Ein SBOM stelle eine detaillierte Liste dar, die alle Bestandteile (wie bei einer Zutatenliste) einer Software beschreibt. Diese Bestandteile können Programme, Bibliotheken oder andere Softwaremodule sein, die in einem größeren Softwareprojekt verwendet werden.

An dieser Stelle finden sie einige Beispiele und Referenz-Implementierungen:

- [Projekt _SPDX Conformance Referenzprojekt_ - SBOM](https://gitlab.opencode.de/open-code/spdx-conformance/-/blob/main/Referenzprojekt1/spdx/SPDX_opencode-test-1-0-SNAPSHOT-jar.yml)
- [Projekt _Collaboratives Online Board - Frontend_ - SBOM](https://gitlab.opencode.de/iqsh/collaboration-online-board/frontend/-/blob/main/SPDX_v1.0.0.yml)
- [Projekt _EVB-IT digital_-SBOM](https://gitlab.opencode.de/OC000015621018/evb-it-digital/-/blob/main/SPDX_app.spdx)

## Dokumentation der Security-Praktiken

Die Dokumentation von Security Praktiken und deren Ergebnissen trägt entscheidend zur Transparenz bei. Weiterhin ermöglicht diese anderen Nutzer:innen einen ersten Ansatzpunkt in der Einsatzentscheidung ihrer Software.

- Hinweis und Kontaktadresse zur nicht-öffentlichen Meldung von Sicherheitslücken: [Projekt _KoliBri_ SECURITY.md](https://gitlab.opencode.de/OC000005112572/kolibri/-/blob/main/docs/SECURITY.md)
- Kommunikation von Security Scan Ergebnissen für CVE Funde: [Projekt _Nextcloud_ Scan Ergebnisse](https://gitlab.opencode.de/ig-bvc/demo-apps/nextcloud#security-scan-ergebnisse)

## Dokumentation eines Projekts

Die umfangreiche Dokumentation eines Projekts in einer README-Datei ist keine Grundvorraussetzung für die Veröffentlichung von Projekten auf openCode, jedoch erleichtert ein gut dokumentiertes Projekt allen Nachnutzenden den Einstieg zum Einsatz oder der Weiterentwicklung des Projekts.

An dieser Stelle finden Sie Beispiele zu diesem Thema aus unserer Community:

- Schritt für Schritt Anleitung bis zur Einbindung des Projekts als Komponente: [Projekt _KoliBri_ Get Started](https://gitlab.opencode.de/OC000005112572/kolibri/-/blob/main/docs/GET_STARTED.md)
- Gebrauchsanleitung für Endnutzer in verschiedenen Konfigurationen: [Projekt _Konformitaetstest_ Gebrauchsanleitung](https://gitlab.opencode.de/ig-bvc/konformitaetstest/-/blob/main/README.md#gebrauchsanleitung-f%C3%BCr-endnutzer)
- Quick-Start Einrichtung für Endnutzer und umfangreiche Dokumentation für Entwickelnde: [Projekt _Masterportal_ Setup](https://gitlab.opencode.de/geowerkstatt-hamburg/masterportal/-/blob/dev/doc/setup.md), [Projekt _Masterportal_ Entwickler Dokumentation](https://gitlab.opencode.de/geowerkstatt-hamburg/masterportal/-/blob/dev/doc/devdoc.md)
- Kurze Installationsdokumentation mit Build-Hinweisen: [Projekt _Ressourcenplanung_ Intallation](https://gitlab.opencode.de/ovgrlp/ressourcenplanung#installation)

## Steuerung von _Contributions_

Um Interessierten und Nachnutzenden den Weg zu vereinfachen an der Weiterentwicklung eines Projekts zu partizipieren, empfiehlt es sich die Möglichkeiten und bevorzugte Kontaktwege für Projekt-Beiträge klar darzulegen.

- CONTRIBUTING-Datei mit Anleitung zu Bug Report und Pull Request: [Projekt _Validierungsregeln_ CONTRIBUTING.md](https://gitlab.opencode.de/xleitstelle/xplanung/validierungsregeln/standard/-/blob/master/CONTRIBUTING.md)
- CONTRIBUTING-Datei mit Anleitung zu Bug Report, Pull Request, FAQ, eigenem Code of Conduct und Kontaktadresse: [Projekt _KoliBri_ CONTRIBUTING.md](https://gitlab.opencode.de/OC000005112572/kolibri/-/blob/main/CONTRIBUTING.md)
- Information über aktuelle Hindernisse bei der Beteiligung: [Projekt _Bundesmessenger_](https://gitlab.opencode.de/bwi/bundesmessenger/info#mitarbeit)
- CONTRIBUTING-Datei mit Anleitung zu Bug Report und Pull Request:  [Projekt _OZGxPlanung_ CONTRIBUTING.md](https://gitlab.opencode.de/diplanung/ozgxplanung/-/blob/main/CONTRIBUTING.md)
