# Gruppen erstellen und verwalten

Gruppen können verwendet werden, um Organisationen zu repräsentieren oder Projekte zu veröffentlichen und zu verwalten.
Neben dieser Funktion von Gruppen, ist es über diese möglich, sich mit ihren Mitgliedern auszutauschen oder ein Wiki zu hosten.

Die Verwaltung der Gruppen obliegt den Ersteller:innen und den Mitgliedern dieser Gruppe. Die jeweilige Organisationen legen dabei selbst fest, wer Ansprechpartner:in der Gruppe ist, oder welche Mitglieder Zugang zu dieser erhalten.

Umfangreichere Informationen zu Gruppen finden Sie in der Dokumentation von GitLab zu [Gitlab Groups](https://docs.gitlab.com/ee/user/group/).

!!! info

    Auf [dieser Seite](https://gitlab.opencode.de/dashboard/groups) können Sie Ihre Gruppen verwalten.

## Schritt-für-Schritt-Anleitung zum Erstellen einer neuen Gruppe

### 1. Eine neuen Gruppe erstellen

Um einer Gruppe zu erstellen, befolgen sie die nachfolgende Schritte.

1. Navigieren Sie zu der Seite **Gruppen** in der linken Seitenleiste.
   
    ![Seite zur Verwaltung der Gruppen öffnen](assets/images/gruppen/gruppe-erstellen-01.png)

2. Drücken Sie nun auf die blaue Schaltfläche auf der rechten Seite **Neue Gruppe**:.

    ![Drücken auf **Neue Gruppe**](assets/images/gruppen/gruppe-erstellen-02.png)

3. Nun öffnet sich für Sie eine Auswahl, ob Sie eine neue Gruppe erstellen wollen oder eine Gruppe importieren wollen. Klicken Sie in dieser Auswahl auf die Schaltfläche **Gruppe erstellen**.

    ![Drücken auf **Gruppe erstellen**](assets/images/gruppen/gruppe-erstellen-03.png)

4. Nachdem sie diese Schritte abgeschlossen haben öffnet sich eine Seite mit Einstellungen für Ihre neue Gruppe.
    - Legen sie nun einen **Namen** für Ihre neue Gruppe fest.

        !!! info

            Die URL zu Ihrer Gruppe orientiert sich an den von Ihnen festgelegten Namen. Wenn sie die URL dennoch anpassen wollen, sollten sie berücksichtigen, dass sie die URL nachträglich nicht mehr ändern können.

    - Sie haben weiterhin die Möglichkeit, die **Sichtbarkeit ihrer Gruppe** festzulegen. Sie können diese Option je nach ihren Vorstellungen frei wählen.
    - Zuletzt können Sie noch **Mitglieder zur Ihrer Gruppe einladen**. Diese können Sie über ihre jeweiligen E-Mail-Adressen hinzufügen (dies ist aber auch an einem späteren Zeitpunkt noch möglich).

        !!! info

            Ihre Kolleg:innen müssen nicht der öffentlichen Verwaltung angehören. Daher können sie auch Kolleg:innen mit E-Mail-Domains, die nicht von uns freigeschaltet wurden, zu ihrer Gruppe hinzufügen.

5. Schließen Sie die Einstellungen nach ihren Vorlieben ab und klicken sie zur Erstellung der neuen Gruppe auf die blaue Schaltfläche **Gruppe erstellen**.

### 2. Erste Schritte

Nachdem sie eine Gruppe erstellt haben, sollten sie folgende Seite sehen:

!["GitLab: Seite nach dem Erstellen einer Gruppe"](assets/images/projekte/erste-schritte-01.png)

- In dieser Ansicht haben sie die Möglichkeit über die blaue Schaltfläche **Lade deine Kollegen ein** neue Mitglieder ihrer Gruppe hinzuzufügen.
- Mit der Schaltfläche **Neues Projekt** können sie ihrer Gruppe direkt ein neues Projekt hinzufügen (die Schritte zum Erstellen eines Projekts können sie [hier](projekte.md#ein-neues-projekt-erstellen) nachlesen).

## Hinzufügen neuer Mitglieder zu einer Gruppe

1. Öffnen Sie die **Seite der Gruppe**, zu welcher Sie neue Mitglieder hinzufügen wollen.
2. Navigieren Sie nun zu **Verwalten > Mitglieder**.
3. Drücken Sie auf die Schaltfläche **Mitglieder einladen**.

    ![Fenster um Mitglieder zu einer Gruppe einzuladen](assets/images/gruppen/mitglieder-einladen.png)

    - Geben Sie eine oder mehrere E-Mail-Adresse und/oder Account-Namen im Feld ein.
    - Wählen Sie die Rolle für die neuen Mitglieder aus:
        - _Entwickler(in)_ kann jede/r Nutzer:in von openCode sein.
        - _Betreuer(in)_ und _Eigentümer(in)_ müssen zur öffentlichen Verwaltung gehören.
    - Die Zugehörigkeit zu einem Projekt können an dieser Stelle zeitlich begrenzt werden. Dies ergibt zum Beispiel bei Dienstleistern Sinn, deren Mitarbeit zeitlich befristet ist.

## README-Datei für eine Gruppe erstellen

Es kann hilfreich sein Gruppen eine Beschreibung ihrer Inhalte hinzuzufügen.
Ähnlich wie bei Projekten, kann dafür einer Gruppe eine `README`-Datei hinzugefügt werden.

Folgen Sie um dies umzusetzen folgenden Schritte:

1. Öffnen Sie die Gruppe, die um eine `README`-Datei ergäzt werden soll
2. Öffnen sie in der linken Seitenleiste den Reiter **Einstellungen > Allgemein**
3. Drücken sie unterhalb der Überschrift **README für Gruppe** auf die Schaltfläche **README hinzufügen**.

!!! info

    Falls nach dem Öffnen der Gruppe der **Einstellungen**-Reiter nicht sichtbar ist, dann liegt dass vermutlich daran, dass sie nicht über ausreichende Rechte zum Bearbeiten dieser Gruppe besitzen. Wenden Sie sich in diesem Fall an den/die Ersteller:in der Gruppe.

!["Screenshot dazu, wie man eine README-Datei zu einer Gruppe hinzufügt"](assets/images/gruppen/readme-gruppen.png)