# Projekte erstellen und verwalten

Auf dieser Seite erfahren Sie, wie Sie ein Projekt erstellen, was zu tun ist, wenn Sie als Angehöriger der Öffentlichen Verwaltung keine neuen Projekte anlegen können, und welche Tags für GitLab CI/CD-Runner auf openCode verfügbar sind.

## Ein neues Projekt erstellen

1. Öffnen Sie zunächst die "Startseite" von der openCode-GitLab-Instanz

    ![Startseite öffnen](assets/images/projekte/projekt-erstellen-01.png "Startseite öffnen")

2. Mit der blauen Schaltfläche oben rechts "Neues Projekt" können Sie ein neues Projekt erstellen

    ![Neues Projekt erstellen](assets/images/projekte/projekt-erstellen-02.png "Neues Projekt erstellen")

3. Sie haben jetzt die Möglichkeit, ein *leeres Projekt zu erstellen* oder ein Projekt basierend auf einer Vorlage auszuwählen.
    Wenn Sie an dieser Stelle unsicher sind, welche Option für Sie die richtige ist, empfehlen wir, an dieser Stelle ein leeres Projekt zu erstellen.

    ![Leeres Projekt anlegen](assets/images/projekte/projekt-erstellen-03.png "Leeres Projekt anlegen (oder basierend auf einem Template)")

4. Nachdem sie diese Schritte abgeschlossen haben öffnet sich eine Seite mit Einstellungen für Ihre neue Gruppe
    - Legen sie nun einen Namen für Ihr neues Projekt fest.
    - Die URL Ihres Projekts wird basierend auf dem von Ihnen gewählten Namen erstellt. Falls Sie die URL dennoch anpassen möchten, bedenken Sie bitte, dass eine nachträgliche Änderung nicht mehr möglich ist.
    - Sie haben weiterhin die Möglichkeit, die Sichtbarkeit ihres Projekts festzulegen. Projekte sollen dabei auf openCode im Standard öffentlich sichtbar sein, private Projekte sind aus diesem Grund nur für 6 Monate in der Aufbauphase zulässig und müssen danach veröffentlicht werden.
    - Zuletzt können Sie noch Mitglieder und Kolleg:innen (der Öffentlichen Verwaltung und ihrer Dienstleister) zur Gruppe einladen, indem Sie die E-Mail-Adressen der entsprechenden Kolleg:innen hinzufügen. Dies ist an einem späteren Zeitpunkt aber auch noch möglich.
    - Schließen Sie die Einstellungen nach ihren Vorlieben ab und klicken sie zur Erstellung des neuen Projekts auf die blaue Schaltfläche *"Projekt erstellen"*.

    ![Einstellungen eines neuen Projekts wählen](assets/images/projekte/projekt-erstellen-04.png "Einstellungen eines neuen Projekts wählen")

## Häufig gestellte Fragen und Probleme

### Ich kann keine neuen Projekte erstellen?

- **Falls sie der öffentlichen Verwaltung angehören**, aber keine Projekte erstellen können, liegt das vermutlich daran, dass die Domain ihrer E-Mail-Adresse ("der Teil hinter dem @-Zeichen") von uns noch nicht zugelassen worden ist. Zur Freigabe wenden sie sich an unseren Support per E-Mail unter info@opencode.de.
- **Falls sie nicht der öffentlichen Verwaltung angehören** können sie leider keine Projekte erstellen. Um dennoch Projekte erstellen zu können müssen sie von einem Mitglied der öffentlichen Verwaltung (ÖV) zu einer Gruppe hinzugefügt werden (hierzu benötigen sie keine E-Mail der ÖV). In dieser Gruppe können sie, wenn sie mit den dafür notwendigen Rechten ausgestattet worden sind, auch selbständig Projekte anlegen.

### Wie beteilige ich mich an anderen Projekten?

1. Sie können fremde Projekte, genauso wie Ihre eigenen Projekte klonen.
2. Projekte auf openCode haben ihre eigenen Regelungen zum Annehmen von Code-Beiträgen und merge-Anfragen.
3. Open Source lebt von der Zusammenarbeit, scheuen Sie sich daher nicht davor anderen Projekten Ihre Unterstützung anzubieten, Tickets in den Projekten zu erstellen, oder Fehler zu melden.

### Wie kann ich eine eigenständige Kopie (fork) eines anderen Projekts anlegen?

Möchten Sie ein bestehendes Projekt einer anderen Organisation der Öffentlichen Verwaltung für sich nutzen oder weiterentwickeln, dann können sie einen fork anlegen.

Ein fork anzulegen ist nur dann sinnvoll, wenn Sie vorhaben das Projekt selbst weiter zu entwickeln, oder wenn die Chance besteht, dass der Zugang zum Projekt nicht mehr möglich ist.

Um ein Projekt zu forken befolgen sie folgende Schritte

1. Bei openCode finden sie, wenn sie ein Projekt öffnen an dessen oberer rechten Seite die Schaltfläche mit der Aufschrift "Fork". Klicken sie diese Schaltfläche an.

    ![Einen Fork erstellen](assets/images/projekte/forken-01.png "Einen Fork erstellen"){ width="500"}
   
2. Nach der Betätigung dieser Schaltfläche öffnet sich folgende Konfigurationsoberfläche. Setzen sie hier die Einstellung nach ihren eigenen Vorlieben und wählen sie einen Namen für den von ihnen erstellten Fork.