# Registrierung und Einrichtung der Zwei-Faktor-Authentifizierung

Diese Dokumentation führt Sie Schritt für Schritt durch den Registrierungsprozess von openCode.

!!! info "Nutzung von openCode außerhalb der öffentlichen Verwaltung"

    Falls Sie openCode nutzen wollen, aber nicht der öffentlichen Verwaltung angehören, können sie [hier](#nutzung-von-opencode-auerhalb-der-offentlichen-verwaltung) die Möglichkeiten der Nutzung von openCode nachlesen.

## Schritt für Schritt-Anleitung zur Registierung auf openCode

### 1. Ausfüllen des Registrierungsformulars

Öffnen sie [dieses Seite](https://opencode.de/de/registrieren) um sich für die Nutzung von openCode zu registrieren:

![Registrierungungsformular für openCode](assets/images/registrierung/02-registrierung.png){ width="700"}

- Sie müssen hier zunächst

  - ihren Vor- und Nachnamen angeben
  - eine E-Mail-Adresse angeben
  - ein Passwort für ihren Zugang zu openCode wählen
  - den [Nutzungsbedingungen](https://opencode.de/de/wissen/nutzung-opencode/nutzungsbedingungen) und der [Datenschutzerklärung](https://opencode.de/de/datenschutz) zustimmen

!!! info

    Für den Zugriff auf den gesamten Funktionsumfang von openCode ist eine E-Mail-Adresse erforderlich, die der öffentlichen Verwaltung angehört.

    Falls Sie openCode nutzen wollen, aber nicht der öffentlichen Verwaltung angehören, können sie [hier](#nutzung-von-opencode-auerhalb-der-offentlichen-verwaltung) die Möglichkeiten der Nutzung von openCode nachlesen.

- Weiterhin ist für eine Nutzung von openCode als Teil der Öffentlichen Verwaltung notwendig, dass Sie mit einer **Vertretungsmacht** ausgestattet sind. Dies müssen Sie durch einen entsprechenden Haken bestätigen.
- Eine **anonyme Nutzung** ist nur dann zu empfehlen, wenn sie sicher sind, dass sie keine Projekte veröffentlichen wollen. Ansonsten ist es zu empfehlen an dieser Stelle keinen Haken zu setzen. Falls sie sich unsicher über diese Option sind, können Sie diese Einstellung nachher aber auch noch jederzeit wieder Rückgängig machen.

Beenden sie diesen Schritt und Bestätigen sie ihre Angaben, indem sie nun auf "Jetzt Registrieren" drücken.

### 2. Bestätigung ihrer E-Mail-Adresse

!!! warning "Warnung"
    Falls sie noch keine Authentificator-App auf einem Zweitgerät eingerichtet haben, befolgen sie zuvor [folgende Schritte](#einrichtung-und-nutzung-einer-authentificator-app-fur-die-zwei-faktor-authentifizierung), um eine solche App zu installieren.

Falls sie bereits eine Authentificator-App installiert haben, drücken sie in der entsprechenden E-Mail in ihrem Posteingang zur Bestätigung auf "Jetzt verifizieren".

Jetzt öffnet sich in ihrem Internet-Browser eine Seite zur EInrichtung der Zwei-Faktor-Authentifizierung. Fahren sie daher nun mit dem nächsten Schritt fort.

### 3. Einrichtung der Zwei Faktor-Authentifizierung

![Einrichtung der Zwei-Faktor-Authentifizierung](assets/images/registrierung/03-registrierung.png "Einrichtung der Zwei-Faktor-Authentifizierung"){ width="700" }

- Wählen sie an dieser Stelle am besten zunächst einen aussagekräftigen Gerätenamen und füllen sie das entsprechende Eingabefeld aus. Diese Angabe ist optional, kann ihnen aber helfen ihren zweiten Faktor besser zu identifizieren (je nach genutzer App kann es auch bei Auslassung dieses Felds zu Problemen kommen).
- Generieren sie nun über eine Authentificator-App einen Anmeldecode. Falls sie noch keine Authentificator-App eingerichtet haben folgen sie folgenden Schritten:

## Einrichtung und Nutzung einer Authentificator-App für die Zwei-Faktor-Authentifizierung

1. Installation einer Authentificator-App (z.B. FreeOTP) auf einem zweiten Gerät, wie z.B. einem Smartphone:
   - **Android**: [FreeOTP Authentificator im Play Store](https://play.google.com/store/apps/details?id=org.fedorahosted.freeotp&hl=en)
   - **iOS**: [FreeOTP Authentificator im App Store](https://apps.apple.com/us/app/freeotp-authenticator/id872559395)
2. Einrichtung der Authentificator-App `FreeOTP`:

   - Öffnen sie zunächst die FreeOTP-App auf ihrem Smartphone.
   - Drücken sie nun auf das QR-Tag-Symbol in der oberen Leiste der App:

   ![FreeOTP: Scannen des einmaligen Anmelde-Codes](assets/images/registrierung/04-2FA-cropped.png "FreeOTP: Scannen des einmaligen Anmelde-Codes"){ width=300 }

   - Scannen sie nun mithilfe ihres Smartphone den QR-Tag auf der Webseite zur Einrichtung der 2FA (sichtbar im obigen Screenshot).
   - Wählen sie sie nun ein beliebiges Icon aus.
   - Nun sehen sie in der FreeOTP-App eine Übersicht von verschiedenen Schaltflächen zur Generierung von Anmelde-Codes:

   ![FreeOTP: Überblick über die Token](assets/images/registrierung/05-2FA-cropped.png "FreeOTP: Überblick über die Token"){ width=300 }

   - Nach einem Drücken auf die nun neu hinzugefügte Schaltfäche "OS opencode Keycloak" wird ihnen für ein kurzes Zeitfenster ein Anmelde-Code angezeigt:

   ![FreeOTP: Generierung eines Anmelde-Codes](assets/images/registrierung/06-2FA-cropped.png "FreeOTP: Generierung eines Anmelde-Codes"){ width=300 }

   - Übertragen sie diesen Anmelde-Code jetzt in das Eingabefeld "One-time Code (Pflichtfeld)" auf der Webseite und wählen sie über das Eingabefeld "Gerätename" eine aussagekräftige Bezeichnung, wie z.B. "openCode".
   - Klicken sie zum Abschluss auf der Webseite die Schaltfläche "2FA Authentifizierung abschliessen".
   - Nun sollten sie über ihr Smartphone Anmelde-Codes für die Anmeldung bei openCode generieren können.

## Häufig gestellte Fragen und Probleme

### Nutzung von openCode außerhalb der öffentlichen Verwaltung

Neben der Nutzung von openCode durch die öffentliche Verwaltung, soll openCode auch für Nutzer:innen außerhalb der öffentlichen Verwaltung nutzbar sein. Dennoch unterscheiden sich die Nutzungsmöglichkeiten durch Account der öffentlichen Verwaltung von der allgemeinen Nutzung:

Wenn sie nicht der öffentlichen Verwaltung angehören **können sie**:

- Code zu Projekten beitragen
- Fehler melden
- sich an Diskussionen im Diskussionsforum beteiligen

Dennoch **können sie leider nicht**:

- neue Projekte anlegen
- merge-Requests stellen
- Projekte forken

Um Code zu einem Projekt beitragen zu können ohne der öffentlichen Verwaltung anzuhören, müssen Sie von einem Mitlieder der öffentlichen Verwaltung zu einem Projekt oder einer Gruppe hinzugefügt werden.

Falls sie also ein Dienstleister im Auftrag des öffentlichen Dienstes sind, müssen sie sich also hierzu an ihren Auftraggeber des öffentlichen Dienstes wenden.

Nachdem Sie zu einer Gruppe oder einem Projekt hinzugefügt worden sind können Sie sich, je nach Einstellungen der Rechte innerhalb der Gruppe, an diesem Beteiligen. Für die Feinheiten des Rechte-Managements in Projekten, lesen Sie dies am Besten in [dieser GitLab-Dokumentation](https://docs.gitlab.com/user/permissions/) (auf Englisch) nach

### Was ist eine Zwei-Faktor-Authentifizierung?

Die Zwei-Faktor-Authentifizierung (abgekürzt als 2FA) ist ein Sicherheitsmechanismus, der den Zugang zu ihrem openCode-Konto schützt.
Dabei werden zwei verschiedenen Faktoren zur Verifizierung der Identität des Benutzers benutzt.

Diese zwei Faktoren bestehen üblicherweise aus:

- **Erster Faktor**: Etwas, das der Benutzer weiß – in der Regel ein Passwort oder eine PIN.
- **Zweiter Faktor**: Etwas, das der Benutzer besitzt – beispielsweise ein Smartphone, auf das ein Einmalcode gesendet wird, oder ein spezielles Sicherheitsgerät.

Durch die Kombination dieser beiden Faktoren wird die Sicherheit erheblich erhöht, da ein Angreifer sowohl das Passwort als auch das zweite Authentifizierungsmittel benötigen würde, um Zugang zum Konto zu erhalten.

Dies minimiert das Risiko unbefugter Zugriffe, selbst wenn das Passwort kompromittiert wird.

Für den zweiten Faktor bei openCode wird auf einem mobilen Endgerät eine sogenannte TOTP-App installiert, welche Ihnen bei Ihrer Anmeldung einen Anmeldecode generiert.

Diesen Code müssen Sie bei jeder Anmeldung jeweils neu über die App generieren.

Einige bekannte TOTP-Apps:

- FreeOTP
  - **Android**: [FreeOTP Authentificator im Play Store](https://play.google.com/store/apps/details?id=org.fedorahosted.freeotp&hl=en)
  - **iOS**: [FreeOTP Authentificator im App Store](https://apps.apple.com/us/app/freeotp-authenticator/id872559395)
- Google Authenticator
- Microsoft Authenticator

### Wie kann ich überprüfen, ob meine E-Mail der öffentlichen Verwaltung zugeordnet wurde?

Hierfür können sie [hier](https://publicentitiy-list-open-code-parked-9d1006275a456af80a29dffc64b.usercontent.opencode.de/) die nach der Domain ihrer E-Mail-Adresse (_"der Teil hinter dem @-Zeichen"_) in unserer Whitelist suchen.

Falls sie keinen Eintrag zu ihrer Domain finden, sie aber dennoch der öffentlichen Verwaltung angehören, melden sie sich gerne bei uns per E-Mail unter info@opencode.de.

### Woran liegt es, dass ich keine neuen Projekte anlegen kann?

- **Falls sie der öffentlichen Verwaltung angehören** und dennoch keine Projekte anlegen können, dann kann es sein, dass wir ihre E-Mail-Domain nicht in unserer Liste der freigeschalteten Domains aufgenommen haben.
  Wenden sie sich in diesem Fall am Besten an uns per Mail über info@opencode.de.
- **Falls sie nicht der öffentlichen Verwaltung angehören** und dennoch zu einem Projekt beitragen wollen, dann können sie sich von einem Account der öffentlichen Verwaltung zu einem Projekt (auch unter ihrer nicht freigeschalteten Domain) hinzugefügen lassen.
